/* Copyright (c) 2000 John Stracke <fanorona@thibault.org>
 #
 * This file is part of Fanorona.
 #
 * Fanorona is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any later
 * version. 
 #
 * Fanorona is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details. 
 #
 * You should have received a copy of the GNU General Public License along
 * with program; see the file COPYING. If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include <gtk/gtkfanorona.h>

#include "interface.h"
#include "callbacks.h"
#include "support.h"

#include "prefs.h"
#include "staticWindows.h"

static GtkWidget* mainWindow=0;
static GtkFanorona* fanorona=0;
static GtkWidget* fanoronaWidget=0;

GtkWidget* getMainWindow(void)
{
  return mainWindow;
}

GtkWidget* getPrefsDialog(void)
{
  static GtkWidget* prefsDialog=0;
  if (!prefsDialog)
    prefsDialog=create_prefsDialog();
  return prefsDialog;
}

GtkWidget* getAboutBox(void)
{
  static GtkWidget* aboutBox=0;
  if (!aboutBox)
    aboutBox=create_aboutBox();
  return aboutBox;
}

GtkFileSelection* getFileSelection(void)
{
  static GtkFileSelection* fileSelection=0;
  if (!fileSelection)
    fileSelection=GTK_FILE_SELECTION(create_fileselection());
  return fileSelection;
}

GtkFanorona* getFanorona(void)
{
  return fanorona;
}

int
main (int argc, char *argv[])
{
#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gnome_init ("fanorona", VERSION, argc, argv);

  loadPrefs();

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
  mainWindow = create_mainWindow ();

  fanorona=GTK_FANORONA(fanoronaWidget=lookup_widget(mainWindow,"fanorona"));

  gtk_signal_connect(GTK_OBJECT(fanorona),"fanorona_game_over",
                     GTK_SIGNAL_FUNC(game_over),NULL);
  gtk_signal_connect(GTK_OBJECT(fanorona),"fanorona_prompt_for_direction",
                     GTK_SIGNAL_FUNC(prompt_for_direction),NULL);
  gtk_signal_connect(GTK_OBJECT(fanorona),"fanorona_clicked",
                     GTK_SIGNAL_FUNC(remove_prompt),NULL);
  gtk_signal_connect(GTK_OBJECT(fanorona),"fanorona_report_whose_move",
                     GTK_SIGNAL_FUNC(report_whose_move),NULL);
  gtk_fanorona_enable_moves(fanorona,getFanoronaPlayer());

  resize_board_from_prefs();

  gtk_widget_show (mainWindow);

  handlePrefs();

  if (argv[1])
    openGame(argv[1]);

  gtk_main ();
  return 0;
}

