/* Copyright (c) 2000 John Stracke <fanorona@thibault.org>
 #
 * This file is part of Fanorona.
 #
 * Fanorona is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any later
 * version. 
 #
 * Fanorona is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details. 
 #
 * You should have received a copy of the GNU General Public License along
 * with program; see the file COPYING. If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#include <fanorona/board.h>

int main(int argc, const char* argv[])
{
  FanoronaBoard* board=fanoronaBoardNew();
  if (!board)
    {
      perror("fanoronaBoardNew");
      return 1;
    }

  fanoronaBoardSetup(board);

  fanoronaBoardPrint(stdout,board);

  {
    int i;
    for (i=1; (i+3)<argc; i+=4)
      {
        int col1=atoi(argv[i]);
        int row1=atoi(argv[i+1]);
        int col2=atoi(argv[i+2]);
        int row2=atoi(argv[i+3]);
        int isAdjacent=fanoronaBoardTestAdjacent(col1,row1,col2,row2);
        printf("(%d, %d) is %sadjacent to (%d,%d)\n",
               col1,row1,
               (isAdjacent ? "" : "not "),
               col2,row2);
      }
  }
}
